ClarisWksGraphInternal::ZonePict Struct Referencefinal

Internal: the structure used to store a PICT or a MOVIE. More...

Inheritance diagram for ClarisWksGraphInternal::ZonePict:

## Public Member Functions
| ZonePict (Zone const &z, Type type)
| constructor
| ~ZonePict () final
| destructor
void | print (std::ostream &o) const final
| print the data
Type | getType () const final
| return the main type T_Picture
Type | getSubType () const final
| return the sub type
int | getNumData (int) const final
| return the number of data in a file
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual int | getZoneId () const
| returns the id of the reference zone
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check)

## Public Attributes
Type | m_type
| the sub type
MWAWEntry | m_entries [2]
| the picture entry followed by a ps entry or ole entry ( if defined)
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone , T_Zone2 , T_Shape , T_Picture , T_Chart , T_DataBox , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Pict , T_QTim , T_Movie }
| the list of types More...

## Detailed Description

Internal: the structure used to store a PICT or a MOVIE.

## Constructor & Destructor Documentation

## ◆ ZonePict()

ClarisWksGraphInternal::ZonePict::ZonePict | ( | Zone const & | z,
|  | Type | type )
| inline

constructor

## ◆ ~ZonePict()

ClarisWksGraphInternal::ZonePict::~ZonePict | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisWksGraphInternal::ZonePict::getChild | ( |  | ) | const
| inline final virtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getNumData()

int ClarisWksGraphInternal::ZonePict::getNumData | ( | int |  | ) | const
| inline final virtual

return the number of data in a file

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getSubType()

Type ClarisWksGraphInternal::ZonePict::getSubType | ( |  | ) | const
| inline final virtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

Referenced by ClarisWksGraph::sendPicture().

## ◆ getType()

Type ClarisWksGraphInternal::ZonePict::getType | ( |  | ) | const
| inline final virtual

return the main type T_Picture

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ print()

void ClarisWksGraphInternal::ZonePict::print | ( | std::ostream & | o | ) | const
| inline final virtual

print the data

Reimplemented from ClarisWksGraphInternal::Zone.

Referenced by print().

## Member Data Documentation

## ◆ m_entries

MWAWEntry ClarisWksGraphInternal::ZonePict::m_entries[2]

the picture entry followed by a ps entry or ole entry ( if defined)

Referenced by ClarisWksGraph::readNamedPict(), ClarisWksGraph::readOLE(), ClarisWksGraph::readPICT(), ClarisWksGraph::readPS(), and ClarisWksGraph::sendPicture().

## ◆ m_type

Type ClarisWksGraphInternal::ZonePict::m_type

the sub type

Referenced by getSubType(), print(), and ZonePict().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx